<?php
namespace Ak\Db\Adapter\Driver;

use Laminas\Db\Adapter\Driver\ConnectionInterface;
use Laminas\Db\Adapter\Driver\DriverInterface as BaseDriverInterface;

/**
 * Interface DriverInterface
 *
 * @package Ak\Db\Adapter\Driver
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/db
 */
interface DriverInterface extends BaseDriverInterface
{
    /**
     * @param ConnectionInterface $connection
     */
    public function setConnection(ConnectionInterface $connection): void;
}
