<?php
namespace Ak\Db\TableGateway;

use Doctrine\DBAL\Schema\Table;
use Laminas\Db\TableGateway\TableGatewayInterface as BaseTableGatewayInterface;

/**
 * TableGateway.
 *
 * @package Ak\Db\TableGateway
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/db
 */
interface TableGatewayInterface extends BaseTableGatewayInterface
{
    /**
     * Vraća schemu za ovu tablicu.
     *
     * @param Table $table
     */
    public function createSchema(Table $table): void;
}
